
-- Define a SET_GROUP object that builds a collection of groups that define the EWR network.
-- Here we build the network with all the groups that have a name starting with DF CCCP AWACS and DF CCCP EWR.
DetectionSetGroup = SET_GROUP:New()
DetectionSetGroup:FilterPrefixes( "EWR" )
DetectionSetGroup:FilterStart()

Detection = DETECTION_AREAS:New( DetectionSetGroup, 25000 )

-- Setup the A2A dispatcher, and initialize it.
A2ADispatcher = AI_A2A_DISPATCHER:New( Detection )

-- Initialize the dispatcher, setting up a border zone. This is a polygon, 
-- which takes the waypoints of a late activated group with the name CCCP Border as the boundaries of the border area.
-- Any enemy crossing this border will be engaged.
  CCCPBorderZone = ZONE_POLYGON:New( "Red Detection Border", GROUP:FindByName( "RedBorder" ) )
  A2ADispatcher:SetBorderZone( CCCPBorderZone )

-- Initialize the dispatcher, setting up a radius of 100km where any airborne friendly 
-- without an assignment within 100km radius from a detected target, will engage that target.
A2ADispatcher:SetEngageRadius( 375000 )
A2ADispatcher:SetGciRadius(375000)


A2ADispatcher:SetTacticalDisplay( false )

-- Test intercept.
A2ADispatcher:SetIntercept( 250 )

-- Test an other disengage radius.
A2ADispatcher:SetDisengageRadius( 600000 )

-- Setup the squadrons.

A2ADispatcher:SetSquadron( "Nalchik", AIRBASE.Caucasus.Nalchik, { "Mig29CAP", "SU27CAP" }, 20 ) -- FO number 20 is the number of planes available
A2ADispatcher:SetSquadronGci( "Nalchik", 800, 1200 )
A2ADispatcher:SetSquadronOverhead( "Nalchik", 0.50 )

A2ADispatcher:SetDefaultTakeoffFromParkingCold( "Nalchik")
--A2ADispatcher:SetSquadronTakeoffFromRunway( "Nalchik" )
--A2ADispatcher:SetDefaultTakeoffFromParkingHot( "Nalchik" )


A2ADispatcher:SetDefaultLandingNearAirbase()

A2ADispatcher:Start()